summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build')
-rw-r--r--taler-build/update_docs.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/taler-build/update_docs.sh b/taler-build/update_docs.sh
new file mode 100644
index 0000000..6098149
--- /dev/null
+++ b/taler-build/update_docs.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+# 1 merchant
+cd $HOME/merchant
+fetch
+./bootstrap
+./configure --with-gnunet=$HOME/local \
+ --with-exchange=$HOME/local \
+ --with-microhttpd=$HOME/local
+cd doc/
+make pdf
+
+# 2 exchange
+cd $HOME/exchange
+fetch
+./bootstrap
+./configure --with-libgnurl=$HOME/local \
+ --with-microhttpd=$HOME/local \
+ --with-gnunet=$HOME/local
+cd doc/
+make pdf
+
+# 3 frontends tutorials
+cd $HOME/merchant-frontend-examples
+fetch
+make
+
+# 4 api
+cd $HOME/api
+fetch
+make html
+
+# 5 onboarding
+cd $HOME/deployment
+fetch
+cd doc/
+texi2pdf onboarding.texi